
services:
  sync:
    image: dokku/wait
    links:
      - dird
    command: "-c dird:9489 -t 5"
    # Fix to low timeout: the test check that dird won't run with no config
  dird:
    image: xivoxc/xivo-dird-test
    ports:
      - "9489:9489"
    volumes:
      - "./etc/xivo-dird/config.yml:/etc/xivo-dird/config.yml"
      - "./etc/xivo-dird/sources.d:/etc/xivo-dird/sources.d"
      - "../../..:/usr/src/xivo-dird"
      - "./ssl:/usr/local/share/ssl"
networks:
  default:
    ipam:
      driver: default
      config:
        - subnet: 172.16.94.80/28
